Description

Base64 encoded Passwords (i.e. used for windows template deployments) get re-encoded after a call to the built URL is made

resulting in Base64 in Base64 encoded passwords.

Steps to reproduce:

create a operatingsystem with hash type base64

create a machine and set a password

as long as the machine is in status "build" the root_pass is only encoded once.

If a call to unattended/built is made, the root_pass is base64 encoded twice.

This is normally not a problem but I think it is not an intended behaviour.

Related issues:

Related to Foreman - Feature #8890: Allow selection of plaintext "encryption"... Closed 01/09/2015

Associated revisions

Revision 75dc676f - 09/11/2015 04:21 PM - Tom Caspy

fixes #11715 - base64 encoded passwords must not be reencoded

Revision 2011492b - 09/22/2015 07:07 AM - Tom Caspy

fixes #11715 - base64 encoded passwords must not be reencoded

(cherry picked from commit 75dc676fe960d42b1e591b15d68ae6bfababc4a5)

History

#1 - 09/08/2015 02:55 AM - Dominic Cleal

- Related to Feature #8890: Allow selection of plaintext "encryption" method for root password added

#2 - 09/08/2015 02:57 AM - Dominic Cleal

- Category set to Host creation

Looks like a bug in the host which calls the crypt method.  It normally checks for a regular crypt call if the password already has a $..$ type form, but

obviously, that won't work for plain base64 so it's calling crypt each time the host is edited.

#3 - 09/08/2015 11:15 AM - larry campbell

Thanks for writing this up Nils.  Is there a suggestion for a workaround until something gets merged in?  Right now we're having to hard-code a

default password in the template, then change it later with puppet which is not ideal.

#4 - 09/09/2015 09:30 AM - Tom Caspy

- Assignee set to Tom Caspy
#5 - 09/09/2015 09:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2695 added

- Pull request deleted ()

#6 - 09/11/2015 05:01 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 75dc676fe960d42b1e591b15d68ae6bfababc4a5.

#7 - 09/14/2015 03:06 AM - Dominic Cleal

- translation missing: en.field_release set to 88
